Core - Bug # 41272

Task # 37081 (Resolved): Remove deprecated functions

Status: Resolved Priority: Should have
Author: Georg Ringer Category: Code Cleanup
Created: 2012-09-23 Assigned To:

Updated: 2012-11-15 Due date:

TYPOS3 Version: 6.0

PHP Version:

Complexity:

Is Regression:

Sprint Focus:

Subiject: deprecation log TYPO3\CMS\Backend\Template\DocumentTemplate->isCMlayers()

Description

22-09-12 23:56: TYPO3\CMS\Backend\Template\DocumentTemplate->isCMlayers() - since TYPO3 4.7, will be removed in TYPO3
6.1 - This function makes no sense anymore - TYPO3\CMS\Backend\Controller\EditDocumentController->init#58 //

TYPO3\CMS\Backend\Template\DocumentTemplate->getContextMenuCode#589 //

TYPO3\CMS\Backend\Template\DocumentTemplate->isCMlayers#1527 //
TYPO3\CMS\Core\Utility\GeneralUtility::logDeprecatedFunction#487
(typo3\sysext\backend\Classes\Template\DocumentTemplate.php#486)

Associated revisions

Revision a75bac8c - 2012-11-15 23:05 - Georg Ringer

[TASK] Fix deprecated $doc->isCMlayers()

Function TYPO3\CMS\Backend\Template\DocumentTemplate->isCMIlayers()

is not needed and can be removed.

Change-Id: I7cef6a7711055c8cd6ce7calb3bf94b22e50a62f
Resolves: #41272
Releases: 6.0

Reviewed-on: http:/review.typo3.org/14955

Reviewed-by: Mattias Nilsson
Tested-by: Mattias Nilsson
Reviewed-by: Oliver Klee
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History

#1 - 2012-09-23 00:09 - Georg Ringer
- Parent task set to #37081

#2 - 2012-09-23 00:27 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14955
#3 - 2012-10-08 15:09 - Benjamin Mack

Question: When it says - will be removed in 6.1 - why would we remove it now for 6.07

#4 - 2012-10-08 18:28 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15404

#5 - 2012-10-08 18:30 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14955

#6 - 2012-11-15 23:30 - Georg Ringer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a75bac8c04cc922e198373d9fdd496908a980d3e.
